---
weight: 1
title: Start
---

The config is located in `$XDG_CONFIG_HOME/hypr/hyprland.conf`. In most cases,
that maps to `~/.config/hypr/hyprland.conf`.

You can tell Hyprland to use a specific configuration file by using the
`--config` (or `-c`) argument.

Hyprland will automatically generate an example config for you if you don't have
one. You can find an example config
[here](https://github.com/hyprwm/Hyprland/blob/main/example/hyprland.conf).

By removing the line containing `autogenerated=1` you'll remove the yellow
warning.

The config is reloaded the moment you save it. However, you can use
`hyprctl reload` to reload the config manually.

Start a section with `name {` and end in `}` **_in separate lines!_**

{{< callout >}}

The default config is not complete and does not list all the options / features
of Hyprland. Please refer to this wiki page and the pages linked further down
here for full configuration instructions.

**Make sure to read the [Variables](../Variables) page as well**. It covers all
the toggleable / numerical options.

{{< /callout >}}

## Language style and syntax

See the [hyprlang page](../../Hypr-Ecosystem/hyprlang).

## Basic configuring

To configure Hyprland's options, animations, styling, etc. see
[Variables](../Variables).

## Advanced configuring

Some keywords (binds, curves, execs, monitors, etc.) are not variables but
define special behavior.

See all of them in [Keywords](../Keywords) and the sidebar.